package molmaster.gui.tools.reflect;

import java.awt.event.*;
import javax.swing.*;

/** Provides a check box representing the
 *  state of a reflected boolean variable.
 *
 * @author  Russell
 */
public class BooleanRenderer extends ReflectComponent {
    boolean currentVal;
    
    /** Creates a new instance of BooleanRenderer */
    public BooleanRenderer() {
    }
    
    public Object getValue() {
        return new Boolean(currentVal);
    }
    
    public void setValue(Object orig, ActionListener l ) throws ClassCastException {
        comp = new JCheckBox( "", ((Boolean)orig).booleanValue() );
        currentVal = ((Boolean)orig).booleanValue();
        ActionListener activate = new ActionListener() {
            public void actionPerformed( ActionEvent e ) {
                currentVal = !currentVal;
            }
        };
        
        ((JCheckBox)comp).addActionListener( l );
        ((JCheckBox)comp).addActionListener( activate );
        
    }
    
}
