package molmaster.util;

/** Simple class encapsulating a boolean
 *  method that indicates whether a given
 *  bond is valid.
 *
 * @author  Russell Power
 */
public interface LengthFunction {
    
    /** Returns whether the given group of values constitutes a valid bond.
     */    
    public boolean isValid( molmaster.Atom a, molmaster.Atom b, double min, double max );
    
}
