package molmaster.gui;

import javax.media.j3d.*;
import com.sun.j3d.utils.universe.*;

/** Extends the simple universe with some
 *  convenience methods.
 *
 * @author  rjpower
 */
public class MolUniverse extends SimpleUniverse {
    
    protected MolViewingPlatform molVp;
    
    /** Creates a new instance of MolUniverse */
    public MolUniverse(Canvas3D canvas) {
        super(canvas);
        molVp = new MolViewingPlatform( this );
    }
    
    public void detach(BranchGroup group) {
        getLocale().removeBranchGraph(group);
    }
    
    public void attach(BranchGroup group) {
        addBranchGraph( group );
    }

    /** Returns the current viewing platform.
     */    
    public MolViewingPlatform getVP() { return molVp; }
}

