package molmaster.gui.tools.reflect;

/** Describes the interface for a PopupEditor - an
 *  editor that is only activated explicitly by a 
 *  command button, and otherwise remains unused.
 *
 * @author  Russell Power
 */
public interface PopupEditor extends ReflectEditor {
  
    public Class[] getSupportedTypes();
    public javax.swing.JDialog getPopup(MethodValue mv);
    public Object getValue();
}
